# eric5.Preferences.ProgramsDialog

Module implementing the Programs page.

### Global Attributes

None

### Classes

ProgramsDialog | Class implementing the Programs page.

### Functions

None

## ProgramsDialog

Class implementing the Programs page.

### Derived from

QDialog, Ui_ProgramsDialog

### Class Attributes

None

### Class Methods

None

### Methods

ProgramsDialog | Constructor
__createEntry | Private method to generate a program entry.
__createProgramEntry | Private method to generate a program entry.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_programsSearchButton_clicked | Private slot to search for all supported/required programs.
show | Public slot to show the dialog.

### Static Methods

None

#### ProgramsDialog (Constructor)

ProgramsDialog(parent=None)

Constructor

parent
  The parent widget of this dialog. (QWidget)

#### ProgramsDialog.__createEntry

__createEntry(description, entryText, entryVersion)

Private method to generate a program entry.

description
  descriptive text (string)
entryText
  text to show (string)
entryVersion
  version string to show (string).

#### ProgramsDialog.__createProgramEntry

__createProgramEntry(description, exe, versionCommand="", versionStartsWith="", versionPosition=0, version="", versionCleanup=None, versionRe=None)

Private method to generate a program entry.

description
  descriptive text (string)
exe
  name of the executable program (string)
versionCommand
  command line switch to get the version info (string) if this is empty, the given version will be shown.
versionStartsWith
  start of line identifying version info (string)
versionPosition
  index of part containing the version info (integer)
version=
  version string to show (string)
versionCleanup=
  tuple of two integers giving string positions start and stop for the version string (tuple of integers)
versionRe=
  regexp to determine the line identifying version info (string). Takes precedence over versionStartsWith.

Returns:
  version string of detected or given version (string)

#### ProgramsDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### ProgramsDialog.on_programsSearchButton_clicked

on_programsSearchButton_clicked()

Private slot to search for all supported/required programs.

#### ProgramsDialog.show

show()

Public slot to show the dialog.

Up